# File:  turboAPIClient.rb

$LOAD_PATH.insert(0, File.dirname(__FILE__) + '/../../libs/gems/mime-types-1.23/lib')
$LOAD_PATH.insert(0, File.dirname(__FILE__) + '/../../libs/gems/rest-client-1.6.7/lib')

require 'restclient.rb'



class TurboAPIClient
  
  def sendMail(username, password, serverUrl, mail)
   
    response = RestClient.post serverUrl, { :authuser => username, 
                                            :authpass => password, 
                                            :from => mail.from, 
                                            :to => mail.to, 
                                            :cc => mail.cc,
                                            :bcc => mail.bcc,
                                            :subject => mail.subject, 
                                            :content => mail.content,
                                            :html_content => mail.html_content,
                                            :custom_headers => mail.custom_headers,
                                            :mime_raw => mail.mime_raw }, 
                                            :content_type => :json, 
                                            :accept => :json
                                            
    rescue RestClient::PreconditionFailed => error_var
        raise error_var
    
    rescue RestClient::ResourceNotFound => error_var
        raise error_var
    
    rescue Exception => error_var
        raise error_var 
  end
  
end